public class Driver
{
	public static void main(String[] args)
	{
		try
		{
			Parser p;
			
			if (args.length > 0)
			{
				p = new Parser(new Scanner(new java.io.FileReader(args[0])));
			}
			else
			{
				p = new Parser(new Scanner(new java.io.InputStreamReader(System.in)));
			}

			p.parse();
		}
		catch (java.io.FileNotFoundException e)
		{
			System.out.println("Input file " + args[0] + " not found");
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
